# nginx

## 重启
service nginx restart

## 配置https
```
server {
     #SSL 访问端口号为 443
     listen 443; 
     #填写绑定证书的域名
     server_name qr.powerrain.cn; 
     #启用 SSL 功能
     ssl on;
     #证书文件名称
     ssl_certificate 1_qr.powerrain.cn_bundle.crt; 
     #私钥文件名称
     ssl_certificate_key 2_qr.powerrain.cn.key; 
     ssl_session_timeout 5m;
     #请按照这个协议配置
     ssl_protocols TLSv1 TLSv1.1 TLSv1.2; 
     #请按照这个套件配置，配置加密套件，写法遵循 openssl 标准。
     ssl_ciphers ECDHE-RSA-AES128-GCM-SHA256:HIGH:!aNULL:!MD5:!RC4:!DHE; 
     ssl_prefer_server_ciphers on;
     location / {
        #网站主页路径。此路径仅供参考，具体请您按照实际目录操作。
        #root /var/www/www.domain.com; 
        #index  index.html index.htm;
        proxy_pass https://flask/;   #这里面的最后的斜杠一定不能少
     }
 }
upstream flask{
  server 0.0.0.0:5000;
}
```